> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List planned tasks



## OpenAPI

````yaml GET /project/v1/planned-tasks
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /project/v1/planned-tasks:
    get:
      tags:
        - Planned Tasks
      summary: List planned tasks
      operationId: ListPlannedTasks
      parameters:
        - in: query
          name: id
          description: id of the planned task
          schema:
            type: string
        - in: query
          name: description
          description: description of the planned task
          schema:
            type: string
        - in: query
          name: projectIds
          description: Find Planned tasks by project Ids
          schema:
            type: array
            items:
              type: string
              format: uuid
          explode: false
        - in: query
          name: page
          description: Request a specific page
          schema:
            type: integer
        - in: query
          name: limit
          description: Limit results
          schema:
            type: integer
        - in: query
          name: orderBy
          description: field1 asc, field2 desc
          schema:
            type: string
      responses:
        '200':
          description: Object
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        accumulatedSeconds:
                          type: integer
                          example: 1200
                        description:
                          type: string
                          example: This is a description for the planned task
                        endDate:
                          type: string
                          format: date
                          example: '2025-01-01'
                        endTime:
                          type: string
                          example: '10:50'
                        id:
                          type: string
                          format: uuid
                        numComments:
                          type: integer
                          example: 1200
                        projectId:
                          type: string
                          format: uuid
                        startDate:
                          type: string
                          format: date
                        startTime:
                          type: string
                          example: '16:00'
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````